Substy Developers
Inbox and fans

List fan messages

Read messages between one creator and fan, with pagination and ordering filters. Follow the returned next or previous cursor to retrieve more of the conversation.

GET/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/messages

Read messages between one creator and fan, with pagination and ordering filters. Follow the returned next or previous cursor to retrieve more of the conversation.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
fanId*string

Query Parameters

limit?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/fans/string/messages" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "messages": [      {        "creatorId": null,        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "status": "SENT",        "fanId": "string",        "price": 0,        "updatedAt": "2019-08-24T14:15:22Z",        "traceId": null,        "sentByAi": true,        "sentByEmployeeId": null,        "revertedByEmployeeId": null,        "reverted": true,        "revertedAt": null,        "isBump": true,        "voicePresetId": null,        "automationMessageId": null,        "soloBundleId": null,        "isFollowUp": true,        "followUpType": null,        "medias": [          {            "id": "string",            "type": "PHOTO",            "files": {              "full": "string",              "thumb": "string",              "preview": "string"            }          }        ],        "sentByEmployee": null,        "revertedByEmployee": null,        "isAutomationMessage": true,        "automation": null,        "isScriptMessage": true,        "script": null,        "scriptTemplate": null,        "creatorTags": [          {            "id": "string",            "name": "string"          }        ],        "giphyId": null,        "gifUrl": null,        "replyToMessage": null,        "isSentByCreator": true,        "user": null,        "text": "string",        "mediaCount": 0,        "previews": [          "string"        ],        "isPurchasedByRecipient": true,        "isLiked": true,        "isTip": true,        "isRead": true,        "cancelSeconds": 0      }    ],    "hasMore": null,    "nextCursor": null,    "previousCursor": null  },  "meta": {    "requestId": "string"  }}